<?php

require_once "../app/model/db.class.php";

class Con1 extends database
{
    function proceso()
    {
   
        $this->conectar();
        $resul=$this->consulta("select * from constancia;");
  
        if(mysql_num_rows($resul))
        {
            $arr=$this->fetch_assoc($resul);
            return $arr;
        }else{
            return ('no');
        }
    
    }
    
    
    function parametros()
    {
   
        $this->conectar();
        $resul=$this->consulta("select * from parametros;");
  
        if(mysql_num_rows($resul))
        {
            $arr=$this->fetch_assoc($resul);
            return $arr;
        }else{
            return ('no');
        }
    
    }
    
    function infotabla($codigo)
    {
    
        $this->conectar();
        
        $this->consulta("delete from certificado_final");

        $this->consulta("insert into certificado_final ( asignatura, i_h, definitiva, nivel, orden ) select catalogo.descripcion,
                         curso_asignatura_profesor.intensidad, notas_finales_asign.definitiva, notas_finales_asign.valor_asigna, catalogo.orden
                         from curso_asignatura_profesor inner join (catalogo inner join notas_finales_asign on catalogo.codigo = notas_finales_asign.asignatura) on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura) and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                         where notas_finales_asign.codigo='".$codigo."' order by catalogo.orden");


        $resul=$this->consulta("select * from certificado_final order by orden asc;");

        $arr;
        $f=0;
        while($row=$this->fetch_assoc($resul))
        {

            $arr[$f][0]=$row['asignatura'];
            $arr[$f][1]=$row['i_h'];
            $arr[$f][2]=$row['definitiva'];
            $arr[$f][3]=$row['nivel'];
            $f++;
        }


        

    return $arr;
    
    
    }


}

?>